Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext
Class DefaultConfigurationProperty

    java.lang.Object
      com.google.gwt.core.ext.DefaultConfigurationProperty

All Implemented Interfaces:
  ConfigurationProperty

    public class DefaultConfigurationProperty

extends java.lang.Object
implements ConfigurationProperty

Default immutable implementation of ConfigurationProperty that receives its values in its constructor.

Constructor Summary
`DefaultConfigurationProperty(java.lang.String name, java.util.List<java.lang.String> values)` Construct a configuration property.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getName()` The name of the property.
`java.util.List<java.lang.String>` | `getValues()` The values for the permutation currently being considered.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultConfigurationProperty

    public DefaultConfigurationProperty(java.lang.String name,
                                        java.util.List<java.lang.String> values)

  Construct a configuration property.

  Parameters:
    `name` - the name of this property, must not be null
    `values` - the list of possible values, must not be null and will be returned to callers, so a copy should be passed into this ctor if the caller will use this set later

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getName

    public java.lang.String getName()

  Description copied from interface: `ConfigurationProperty`
  The name of the property.

  Specified by:
    `getName` in interface `ConfigurationProperty`
  Returns:
    the property name as a String.

### getValues

    public java.util.List<java.lang.String> getValues()

  Description copied from interface: `ConfigurationProperty`
  The values for the permutation currently being considered.

  Specified by:
    `getValues` in interface `ConfigurationProperty`
  Returns:
    the property values as a List of Strings.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD